Package org.apache.synapse.transport.http.conn

## Class SynapseWireLogHolder

- java.lang.Object
- - org.apache.synapse.transport.http.conn.SynapseWireLogHolder

- All Implemented Interfaces:
    `Serializable`

      public class SynapseWireLogHolder
      extends Object
      implements Serializable

  This class is used to store wirelog information for all the relevant mediators and request wirelog, response wirelog as well
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SynapseWireLogHolder.PHASE` | These are the phases to determine request responses in wire level
    `static class` | `SynapseWireLogHolder.RequestType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynapseWireLogHolder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appendBackEndWireLog​(SynapseWireLogHolder.RequestType type, String wireLog, String mediatorId)` |
    `void` | `appendRequestWireLog​(String requestWireLog)` |
    `void` | `appendResponseWireLog​(String responseWireLog)` |
    `void` | `clear()` |
    `SynapseWireLogHolder` | `deepClone()` | This method is to clone wirelog holder object
    `String` | `getApiName()` |
    `Map<String,​SynapseBackEndWireLogs>` | `getBackEndRequestResponse()` |
    `SynapseWireLogHolder.PHASE` | `getPhase()` |
    `String` | `getProxyName()` |
    `String` | `getRequestWireLog()` |
    `String` | `getResourceUrlString()` |
    `String` | `getResponseWireLog()` |
    `void` | `setApiName​(String apiName)` |
    `void` | `setPhase​(SynapseWireLogHolder.PHASE phase)` |
    `void` | `setProxyName​(String proxyName)` |
    `void` | `setResourceUrlString​(String resourceUrlString)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynapseWireLogHolder

          public SynapseWireLogHolder()

  - ### Method Detail

    - #### getProxyName

          public String getProxyName()

    - #### setProxyName

          public void setProxyName​(String proxyName)

    - #### getApiName

          public String getApiName()

    - #### setApiName

          public void setApiName​(String apiName)

    - #### getResourceUrlString

          public String getResourceUrlString()

    - #### setResourceUrlString

          public void setResourceUrlString​(String resourceUrlString)

    - #### getRequestWireLog

          public String getRequestWireLog()

    - #### appendRequestWireLog

          public void appendRequestWireLog​(String requestWireLog)

    - #### getResponseWireLog

          public String getResponseWireLog()

    - #### appendResponseWireLog

          public void appendResponseWireLog​(String responseWireLog)

    - #### getPhase

          public SynapseWireLogHolder.PHASE getPhase()

    - #### setPhase

          public void setPhase​(SynapseWireLogHolder.PHASE phase)

    - #### appendBackEndWireLog

          public void appendBackEndWireLog​(SynapseWireLogHolder.RequestType type,
                                           String wireLog,
                                           String mediatorId)

    - #### getBackEndRequestResponse

          public Map<String,​SynapseBackEndWireLogs> getBackEndRequestResponse()

    - #### clear

          public void clear()

    - #### deepClone

          public SynapseWireLogHolder deepClone()
                                         throws IOException,
                                                ClassNotFoundException

      This method is to clone wirelog holder object
      Returns:
      Throws:
        `IOException`
        `ClassNotFoundException`